#include<bits/stdc++.h>
using namespace std;
int main(){
int n;
cin>>n;
if (n==21){
    cout<<19;
}else if (n==20){
cout<<19;
}else if (n==19){
cout<<19;
}else if (n==18){
cout<<13;
}else if (n==17){
cout<<13;
}else if (n==16){
cout<<13;
}else if (n==15){
cout<<13;
}else if (n==14){
cout<<13;
}else if (n==13){
cout<<13;
}else if (n==12){
cout<<7;
}else if (n==11){
cout<<7;
}else if (n==10){
cout<<7;
}else if (n==9){
cout<<7;
}else if (n==8){
cout<<7;
}else if (n==7){
cout<<7;
}else if (n==6){
cout<<5;
}else if (n==5){
cout<<5;
}else if (n==4){
cout<<3;
}else if (n==3){
cout<<3;
}

return 0;
}
